<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.WithdrawnRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.WithdrawnRecord">
        <result column="station_id" property="stationId" />
        <result column="withdrawn_amount" property="withdrawnAmount" />
        <result column="status" property="status" />
        <result column="payment_status" property="paymentStatus" />
        <result column="reviewer" property="reviewer" />
        <result column="review_time" property="reviewTime" />
        <result column="payer" property="payer" />
        <result column="payment_time" property="paymentTime" />
        <result column="remark" property="remark" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        station_id, withdrawn_amount, status, payment_status, reviewer, review_time, payer, payment_time, remark
    </sql>

</mapper>
